%  sinugr1.m
% Matlab file for Part 1 of the Sinusoidal Graphs
% module

disp('********************************************')
disp('Part 1:  Period')
disp('********************************************')
disp('  ')    

    format short

    disp('--------------------------------------------')
    disp('Step 1:')
    disp('Copy the following commands as a group, ')
    disp('paste them at a MATLAB prompt, and enter them')
    disp('to plot the sine function over the interval')
    disp('from -8 to 8.')
    disp(' ')
    disp('     t=-8:0.1:8;      ')
    disp('     y=sin(t);        ')
    disp('     plot(t,y,''b'') ')
    disp('     grid on         ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 1-4:')
    disp('Answer the questions as MATLAB comments in')
    disp('your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 5:')
    disp('MATLAB has a function called ')
    disp('     fminbnd(f, tmin,tmax) ')
    disp('that looks for a value t where the minimum of')
    disp('a function f occurs, within the interval')
    disp('tmin to tmax.')
    disp(' ')
    disp('To find where the maximum of a function f ')
    disp('occurs, find where the minimum of -f occurs. ')
    disp(' ')
    disp('Copy and paste the following commands at')
    disp('a MATLAB prompt, then enter them.')
    disp(' ')
    disp('    f=inline(''-sin(t)'') ')
    disp('    tmax=fminbnd(f, 1.5,1.7) ');
    disp(' ')
    disp('----------------------------------------------')
    disp('Change the [1.5,1.7] to other t intervals ')
    disp('surrounding where the sine curve has peaks') 
    disp('to find all t solutions yielding maximums you')
    disp('can see on the graph')
    disp(' ')
    disp('----------------------------------------------')
    disp('Give the period of the sine function in terms') 
    disp('of pi.  Answer with MATLAB comments in your')
    disp('diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 6:')
    disp('Enter the following commands to plot the ')
    disp('function sin(C*t), where C=3.')
    disp(' ')
    disp('     C=3;            ')
    disp('     t=-8:0.1:8;     ')
    disp('     y=sin(C*t);       ')
    disp('     plot(t,y,''b'') ')
    disp('     grid on         ')
    disp(' ')
    disp('----------------------------------------------')
    disp('To find where the maximums of the function')
    disp('occur, define ')
    disp('   f=inline(''- sin(3*t)'') ')
    disp('and use fminbnd as before.')
    disp(' ')
    disp('  Note that you have to use the concrete')
    disp('  number 3.  You can''t use sin(C*t) because the')
    disp('  inline command will interpret C as a variable,')
    disp('  even though it has been assigned a value.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 7:')
    disp('Change the value of C in step 6 above and ')
    disp('investigate how the period is related to ')
    disp('this value.')
    disp(' ')  
    disp('What do you conclude about the period of')
    disp('sin(C*t)?  Answer in your diary file using')
    disp('MATLAB comments.')
    disp(' ')
    disp(' ')
    disp('----------------------------------------------')
    disp('To go on to part 2 of this module,') 
    disp('type: sinugr2.')
    disp(' ')