%  sinugr4.m
% Matlab file for Part 4 of the Sinusoidal Graphs
% module

disp('********************************************')
disp('Part 4: Fitting Sinusoidal Graphs to Data')
disp('********************************************')
disp('  ')    

    format short

    disp('Below are two vectors of data.  The first')
    disp('gives numbers for the months of the year.')
    disp('The second gives the average temperature')
    disp('per month in Tamanrasset, Algeria.')
    disp(' ')
    disp('Enter the following commands:')
    disp(' ')
    disp(' month=[1,2,3,4,5,6,7,8,9,10,11,12] ')
    disp(' temp=[55.0,59.7,65.1,72.0,79.0,83.8,... ')
    disp('       83.3,82.8,79.9,72.7,64.0,56.7] ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Step 1:')
    disp('Make a scatter plot of the data pairs')
    disp('(month,temp) by using the commands:')
    disp(' ')
    disp('     plot(month,temp,''bo'')    ')
    disp('     xlabel(''Month number'')       ')
    disp('     ylabel(''Temperature (degrees F)'') ')
    disp('     title(''Temperatures in Tamanrasset'') ')
    disp('     hold on  ')
    disp(' ')
    disp('(The hold on command just saves the plot so ')
    disp(' that you can add other data to it.) ')
    disp(' ')
    disp('--------------------------------------------')
    disp('Answer the questions in step 1.')
    disp('Answer using MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 2:')
    disp('Enter your best estimates of the parameters')
    disp('A, B, C, and t0 in the sinusoidal function:')
    disp('     y = A + B*sin( C*(t-t0) ) ')
    disp('that you are trying to fit to the data. ')
    disp(' ')
    disp('   A = ? ')
    disp('   B = ? ')
    disp('   C = ? ')
    disp('   t0 = ? ')
    disp(' ')
    disp('----------------------------------------------') 
    disp('After you have entered the values of the')
    disp('parameters, then copy, paste, and execute the')
    disp('following commands to graph that sinusoidal ')
    disp('function on top of your (month,temp) data.')
    disp(' ')
    disp('  t=1:0.25:12; ')
    disp('  y = A + B*sin( C*(t-t0) ); ')
    disp('  plot(t,y,''r'')   ')
    disp(' ')
    disp('----------------------------------------------')  
    disp('You should iteratively change the values of the')
    disp('parameters A, B, C, t0 and then re-plot the')
    disp('trig function to try to achieve a good fit.')
    disp(' ')
    disp('Comment on the goodness of fit using MATLAB')
    disp('comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 3:')
    disp('Carry out the curve-fitting procedure you ')
    disp('did in steps 1 and 2 for another city of ')
    disp('your choice.')
    disp(' ')
    disp(' ')
    disp('----------------------------------------------') 
    disp('When you have finished step 3, to go on to')
    disp('part 5 of this module, type: sinugr5.')
    disp(' ')
